Package weka.core.metastore

# Class XMLFileBasedMetaStore

java.lang.Object
weka.core.metastore.XMLFileBasedMetaStore

All Implemented Interfaces:
  `MetaStore`

public class XMLFileBasedMetaStore extends Object implements MetaStore
A simple default implementation of MetaStore that uses Weka's XML serialization mechanism to persist entries as XML files in ${WEKA_HOME}/wekaMetaStore

Version:
  $Revision: 14281 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_STORE_LOCATION`
  The default location for the XML files

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMLFileBasedMetaStore()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createStore(String storeName)`
  Create a named store
  `Object`
  `getEntry(String storeName, String name, Class<?> clazz)`
  Get a named entry from the store
  `Set<String>`
  `listMetaStoreEntries(String storeName)`
  Get a list of all entries in a named store
  `Set<String>`
  `listMetaStoreEntries(String storeName, String prefix)`
  Get a list of all named entries starting with the given prefix
  `Set<String>`
  `listMetaStores()`
  Get a list of all named meta stores
  `void`
  `storeEntry(String storeName, String name, Object toStore)`
  Store a named entry

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_STORE_LOCATION

    public static final String DEFAULT_STORE_LOCATION
    The default location for the XML files

- ## Constructor Details

  - ### XMLFileBasedMetaStore

    public XMLFileBasedMetaStore()

- ## Method Details

  - ### listMetaStores

    public Set<String> listMetaStores() throws IOException
    Description copied from interface: `MetaStore`
    Get a list of all named meta stores
    Specified by:
      `listMetaStores` in interface `MetaStore`
    Returns:
      a list of meta stores
    Throws:
      `IOException` - if a problem occurs

  - ### listMetaStoreEntries

    public Set<String> listMetaStoreEntries(String storeName) throws IOException
    Description copied from interface: `MetaStore`
    Get a list of all entries in a named store
    Specified by:
      `listMetaStoreEntries` in interface `MetaStore`
    Parameters:
      `storeName` - the name of the store to get entries for
    Returns:
      a list of all entries in the named store
    Throws:
      `IOException` - if a problem occurs

  - ### listMetaStoreEntries

    public Set<String> listMetaStoreEntries(String storeName, String prefix) throws IOException
    Description copied from interface: `MetaStore`
    Get a list of all named entries starting with the given prefix
    Specified by:
      `listMetaStoreEntries` in interface `MetaStore`
    Parameters:
      `storeName` - the name of the store to get entries for
      `prefix` - the prefix with which to search for entries
    Returns:
      a list of entries
    Throws:
      `IOException` - if a problem occurs

  - ### getEntry

    public Object getEntry(String storeName, String name, Class<?> clazz) throws IOException
    Description copied from interface: `MetaStore`
    Get a named entry from the store
    Specified by:
      `getEntry` in interface `MetaStore`
    Parameters:
      `storeName` - the name of the store to use
      `name` - the full name of the entry to retrieve
      `clazz` - the expected class of the entry when deserialized
    Returns:
      the deserialized entry or null if the name does not exist in the store
    Throws:
      `IOException` - if the deserialized entry does not match the expected class

  - ### createStore

    public void createStore(String storeName) throws IOException
    Description copied from interface: `MetaStore`
    Create a named store
    Specified by:
      `createStore` in interface `MetaStore`
    Parameters:
      `storeName` - the name of the store to create
    Throws:
      `IOException` - if a problem occurs

  - ### storeEntry

    public void storeEntry(String storeName, String name, Object toStore) throws IOException
    Description copied from interface: `MetaStore`
    Store a named entry
    Specified by:
      `storeEntry` in interface `MetaStore`
    Parameters:
      `storeName` - the name of the store to use
      `name` - the full name of the entry to store
      `toStore` - a beans compliant object to store
    Throws:
      `IOException` - if a problem occurs